%define name trophy
%define version 1.0.6
%define release 3mdk
%define prefix %{_prefix}
%define summary Trophy is a 2D car racing action game for Linux.

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/trophy/%{name}-%{version}-src.tar.bz2
Source1: trophy-designer-manual.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
URL: http://trophy.sourceforge.net/index.php3
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: zlib-devel libhermes-devel libclanlib1-devel libclanlib1-network libclanlib1-sound

%description
Trophy is a single-player racing game for Linux. Even though the goal is
basically to finish the laps as the first, Trophy is an action game which
offers much more than just a race. Lots of extras enable "unusual" features for
races such as shooting, putting mines and many others.

%prep
%setup -q -n %{name}-%{version}-src -a 1
rm -rf `find -type d -name CVS`

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
cd trophy
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
cp trophy/trophy $RPM_BUILD_ROOT/%{_gamesbindir}/trophy.real
cat > $RPM_BUILD_ROOT/%{_gamesbindir}/trophy << EOF
#!/bin/sh
pushd %{_gamesdatadir}/trophy
%{_gamesbindir}/trophy.real
popd
EOF
chmod a+x $RPM_BUILD_ROOT/%{_gamesbindir}/trophy
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy
cp -a trophy/resources* $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="NO_XALF %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="gnome" section="Amusement/Arcade" title="Trophy" \
  longtitle="%{summary}"
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Trophy" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README designer_manual_en
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-3mdk
- use absolute path in script to prevent from PATH's without /usr/games

* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-2mdk
- don't use launch_x11_clanapp anymore (cl 0.5)

* Tue Jun 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-1mdk
- trophy 1.0.6 that is (really) compliant with ClanLib 0.5

* Tue May  1 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- trophy 1.0.2 that is compliant with ClanLib 0.5

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-9mdk
- Correct GNOME menu entry

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Feb 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-7mdk
- add 48x48 icon
- add designal manual
- fix requires on launch_x11_clanapp

* Fri Dec  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- fix BuildRequires

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- recompile against newest libstdc++
- against lowercased hermes and clanlib

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- menu: now launches automatically the x11 target

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- automatically added packager tag

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- really work (forgot support for PKGDATADIR in some places, forgot
  some data)

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- first mdk package. thanks to alix.


